Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class Member

    java.lang.Object
      com.sun.squawk.Member

Direct Known Subclasses:
  Field, Method

    public abstract class Member

extends Object

An instance of `Member` encapsulates the information about the method or field of a class.

Method Summary
`Klass` | `getDefiningClass()` Gets the class that defined this field or method.
`String` | `getFullyQualifiedName()` Gets the fully qualified name of this field or method.
`int` | `getModifiers()` Gets the mask of access flags describing the access permissions and other properties of this member.
`String` | `getName()` Gets the name of this field or method.
`int` | `getOffset()` Gets the offset for the member.
`int` | `hashCode()` Gets the hash code.
`boolean` | `isAccessibleFrom(Klass klass)` Determines if this member is accessible from a given class.
`boolean` | `isFinal()` Determines if this method or field is final.
`boolean` | `isPackagePrivate()` Determines if this method or field is package private.
`boolean` | `isPrivate()` Determines if this method or field is private.
`boolean` | `isProtected()` Determines if this method or field is protected.
`boolean` | `isPublic()` Determines if this method or field is public.
`boolean` | `isSourceSynthetic()` Determines if this method or field does not appear in any source code.
`boolean` | `isStatic()` Determines if this method or field is static.
`String` | `toString()` Gets a String representation of this field or method.

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### isPublic

    public final boolean isPublic()

  Determines if this method or field is public.

  Returns:
    true if this method or field is public

### isPackagePrivate

    public final boolean isPackagePrivate()

  Determines if this method or field is package private.

  Returns:
    true if this method or field is package private

### isStatic

    public final boolean isStatic()

  Determines if this method or field is static.

  Returns:
    true if this method or field is static

### isFinal

    public final boolean isFinal()

  Determines if this method or field is final.

  Returns:
    true if this method or field is final

### isProtected

    public final boolean isProtected()

  Determines if this method or field is protected.

  Returns:
    true if this method or field is protected

### isPrivate

    public final boolean isPrivate()

  Determines if this method or field is private.

  Returns:
    true if this method or field is private

### isSourceSynthetic

    public final boolean isSourceSynthetic()

  Determines if this method or field does not appear in any source code.

  Returns:
    true if this method or field does not appear in any source code

### getName

    public final String getName()

  Gets the name of this field or method.

  Returns:
    the name of this field or method

### getFullyQualifiedName

    public final String getFullyQualifiedName()

  Gets the fully qualified name of this field or method.

  Returns:
    the fully qualified name of this field or method

### getOffset

    public final int getOffset()

  Gets the offset for the member. The semantics of the offset is different for each category of member:

  Category | Meaning
  --- | ---
  static method | The index into the static method table of this class at which the implementation of the static method is located.
  virtual method | The index into the vtable of this class at which the implementation of the virtual method is located.
  static field | The offset (in words) from the address of the class's static field state at which the value of the static field is located.
  instance field | The type-related offset from the address of an instance of this class at which the value of the instance field is located. For `byte` or `boolean` fields, the offset is in terms of bytes, for `char` or `short` fields, the offset is in terms of half-words and for all other fields, the offset is in terms of words (`double` and `long` fields are expressed as a pair of words).

  Returns:
    the offset for the member.

### getDefiningClass

    public final Klass getDefiningClass()

  Gets the class that defined this field or method.

  Returns:
    the member's type

### getModifiers

    public final int getModifiers()

  Gets the mask of access flags describing the access permissions and other properties of this member. The returned value will be a mask of constants defined in `Modifier`.

  Returns:
    the access flags for this member

### toString

    public final String toString()

  Gets a String representation of this field or method.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### isAccessibleFrom

    public final boolean isAccessibleFrom(Klass klass)

  Determines if this member is accessible from a given class.

  Parameters:
    `klass` - the class to test for accessibility

### hashCode

    public int hashCode()

  Gets the hash code.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"